العودة للمرجع
GET/wallets/{walletId}/verify-integrity
Ledger

التحقق من سلامة الدفتر

يتحقق من سلسلة سلامة دفتر المحفظة؛ العملية مقيّدة وقد تكون مكلفة.

مستوى الوصولrestricted_auditorالحد20/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/app/Http/Controllers/Api/WalletApiController.php::verifyIntegrityLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
walletIdpath
integerإلزامي

Numeric wallet identifier.

Example: 42

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/wallets/42/verify-integrity' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

الاستجابات

200Successful response.
status
boolean
message
string
data
object
{
  "status": false,
  "message": "string",
  "data": {
    "wallet_id": 1,
    "integrity": "valid"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection